<?php

namespace App\Enums;

enum AdsTypeEnum: string
{
    case ADSENSE = 'adsense';

    case ADSTERRA = "adsterra";

    case IMAGE = 'image';

    case CUSTOM = 'custom';


    public function label(): string
    {
        return match ($this) {
            self::ADSENSE => 'Adsense',
            self::ADSTERRA => 'Adsterra',
            self::IMAGE => 'Image',
            self::CUSTOM => 'Custom',
        };
    }

    public static function values(): array
    {
        return array_column(self::cases(), 'value');
    }
}
